API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/projects/{projectId}/acceptance-protocols/{protocolId}

PATCH/v1/projects/{projectId}/acceptance-protocols/{protocolId}

Edit a DRAFT acceptance protocol. (ADR 0224)

Datenmodell

Diese Operation arbeitet auf der Entität Project (project). Alle 44 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
titlestring
introTextstring
scopeItemsobject[]
signerNamestring
signerEmailstring
signerPartyIdstring
coSignerUserIdstring

Pfad-Parameter

NameTypBeschreibung
projectIderforderlichstring
protocolIderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/projects/{projectId}/acceptance-protocols/{protocolId} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "title": "string",
  "introText": "string",
  "scopeItems": [],
  "signerName": "string",
  "signerEmail": "string",
  "signerPartyId": "string",
  "coSignerUserId": "string"
}'
const result = await cm.projects.patch({
  "title": "string",
  "introText": "string",
  "scopeItems": [],
  "signerName": "string",
  "signerEmail": "string",
  "signerPartyId": "string",
  "coSignerUserId": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche